Jump to content

[1.9] what happend to ISmartItemModel ISmartBlockModel


TomEVoll

Recommended Posts

It depends on what you want to do with it.

 

If you want to e.g. want 'connecting' blocks, vanilla Minecraft JSONs have the ability now to do that. Look at fences for an example.

 

If you want to do something else with it, please specify.

Don't PM me with questions. They will be ignored! Make a thread on the appropriate board for support.

 

1.12 -> 1.13 primer by williewillus.

 

1.7.10 and older versions of Minecraft are no longer supported due to it's age! Update to the latest version for support.

 

http://www.howoldisminecraft1710.today/

Link to comment
Share on other sites

They are no longer there because they are no longer needed.

IBakedModel now has has a IBlockState argument in getQuads and ItemOverrideList (returned from IBakedModel#getOverrides) has the functionality of ISmartItemModel.

I think this is one of the things I find most frustrating about the upgrade cycle.  APIs interfaces are supposed to stay stable for at least a reasonable length of time!  RainWarrior goes to all the effort of designing useful interfaces for state-aware models and rendering etc, and then it becomes useless at the very next upgrade.  And all our code based on the API interface has to be refactored yet again.

 

Some parts of the Forge API have been really good for stability, rendering has not.  I'm for sure hoping that ISmartItemModel and the rest are bolted onto the new vanilla so they stay useful for at least one more upgrade cycle.  Depends on how burnt out RainWarrior gets I guess!

 

-TGG

 

Link to comment
Share on other sites

Vanilla updates and adapts to new things. A lot of the time taking Forge's designs and integrating them into what they need.

ISmart* being one of the cases.

We DO NOT 'bolt' things onto stuff to make it stay relevant. If we did that we'd just have people bitching at us to do it for 'just another version'x100

Recently Mojang has been working on the rendering stuff. So that has been effected a lot. It's just how things go. Don't complain about it enjoy the new features!

 

 

@Draco: Quit it with the 'reasons im not touching 1.8' or you'll be getting a ban -.- we don't like whiners around here.

I do Forge for free, however the servers to run it arn't free, so anything is appreciated.
Consider supporting the team on Patreon

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.



×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.